> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dropboxapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dropboxapi.com/_mcp/server.

# Docs Sharing Policy Set

POST https://api.dropboxapi.com/2/paper/docs/sharing_policy/set
Content-Type: application/json

Sets the default sharing policy for the given Paper doc. The default 'team_sharing_policy' can be changed only by teams, omit this field for personal accounts. The 'public_sharing_policy' policy can't be set to the value 'disabled' because this setting can be changed only via the team admin console. Note that this endpoint will continue to work for content created by users on the older version of Paper. To check which version of Paper a user is on, use /users/features/get_values. If the paper_as_files feature is enabled, then the user is running the new version of Paper. Refer to the [Paper Migration Guide](https://www.dropbox.com/lp/developers/reference/paper-migration-guide) for migration information.

**Required scope:** `sharing.write`

**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)

**Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication)

This endpoint does not support apps with the app folder permission.

Reference: https://docs.dropboxapi.com/dropbox-api/api-reference/user-endpoints/paper/docs-sharing-policy-set

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

## Request

### Headers

- `Dropbox-API-Select-User` (string, optional) — Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as `dbmid:...`. When used with a team token, that token must also include the `team_data.member` scope.
- `Dropbox-API-Path-Root` (string, optional) — Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

### Body (application/json)

This endpoint expects an object.

- `doc_id` (string, required) — The Paper doc ID.
- `sharing_policy` (object, required) — The default sharing policy to be set for the Paper doc.
  - `public_sharing_policy` (object or object or object or object, optional, nullable) — This value applies to the non-team members.
    - paper_apiv2.SharingPublicPolicyType.people_with_link_can_edit
      - `.tag` (enum, required)
        - Allowed values: `people_with_link_can_edit`
    - paper_apiv2.SharingPublicPolicyType.people_with_link_can_view_and_comment
      - `.tag` (enum, required)
        - Allowed values: `people_with_link_can_view_and_comment`
    - paper_apiv2.SharingPublicPolicyType.invite_only
      - `.tag` (enum, required)
        - Allowed values: `invite_only`
    - paper_apiv2.SharingPublicPolicyType.disabled
      - `.tag` (enum, required)
        - Allowed values: `disabled`
  - `team_sharing_policy` (object or object or object, optional, nullable) — This value applies to the team members only. The value is null for all personal accounts.
    - paper_apiv2.SharingTeamPolicyType.people_with_link_can_edit
      - `.tag` (enum, required)
        - Allowed values: `people_with_link_can_edit`
    - paper_apiv2.SharingTeamPolicyType.people_with_link_can_view_and_comment
      - `.tag` (enum, required)
        - Allowed values: `people_with_link_can_view_and_comment`
    - paper_apiv2.SharingTeamPolicyType.invite_only
      - `.tag` (enum, required)
        - Allowed values: `invite_only`

## Response

### 200

Successful response (no content)

## Errors

### 401 Unauthorized Error

Bad or expired token

- `error` (object or object or object or object or object or object or object or object, required) — Errors occurred during authentication.
  - auth_apiv2.AuthError.invalid_access_token
    - `.tag` (enum, required)
      - Allowed values: `invalid_access_token`
  - auth_apiv2.AuthError.invalid_select_user
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_user`
  - auth_apiv2.AuthError.invalid_select_admin
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_admin`
  - auth_apiv2.AuthError.user_suspended
    - `.tag` (enum, required)
      - Allowed values: `user_suspended`
  - auth_apiv2.AuthError.expired_access_token
    - `.tag` (enum, required)
      - Allowed values: `expired_access_token`
  - auth_apiv2.AuthError.missing_scope
    - `.tag` (enum, required)
      - Allowed values: `missing_scope`
    - `required_scope` (string, required) — The required scope to access the route.
  - auth_apiv2.AuthError.route_access_denied
    - `.tag` (enum, required)
      - Allowed values: `route_access_denied`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 403 Forbidden Error

The user or team account doesn't have access to the endpoint or feature

- `error` (object or object or object or object or object, required) — Error occurred because the account doesn't have permission to access the resource.
  - auth_apiv2.AccessError.invalid_account_type
    - `.tag` (enum, required)
      - Allowed values: `invalid_account_type`
    - `invalid_account_type` (object or object or object, required)
      - auth_apiv2.InvalidAccountTypeError.endpoint
        - `.tag` (enum, required)
          - Allowed values: `endpoint`
      - auth_apiv2.InvalidAccountTypeError.feature
        - `.tag` (enum, required)
          - Allowed values: `feature`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.paper_access_denied
    - `.tag` (enum, required)
      - Allowed values: `paper_access_denied`
    - `paper_access_denied` (object or object or object, required)
      - auth_apiv2.PaperAccessError.paper_disabled
        - `.tag` (enum, required)
          - Allowed values: `paper_disabled`
      - auth_apiv2.PaperAccessError.not_paper_user
        - `.tag` (enum, required)
          - Allowed values: `not_paper_user`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.team_access_denied
    - `.tag` (enum, required)
      - Allowed values: `team_access_denied`
  - auth_apiv2.AccessError.no_permission
    - `.tag` (enum, required)
      - Allowed values: `no_permission`
    - `no_permission` (object or object, required)
      - auth_apiv2.NoPermissionError.unauthorized_account_id_usage
        - `.tag` (enum, required)
          - Allowed values: `unauthorized_account_id_usage`
        - `unauthorized_account_ids` (list of string, required) — The account IDs that the caller does not have permission to use.
      - Other
        - `.tag` (string, optional)
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 409 Conflict Error

Endpoint-specific error

- `error` (object or object or object, required)
  - paper_apiv2.DocLookupError.insufficient_permissions
    - `.tag` (enum, required)
      - Allowed values: `insufficient_permissions`
  - paper_apiv2.DocLookupError.doc_not_found
    - `.tag` (enum, required)
      - Allowed values: `doc_not_found`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.
- `user_message` (object, optional)
  - `locale` (string, optional)
  - `text` (string, optional)

### 429 Too Many Requests Error

The app is making too many requests for the given user or team and is being rate limited. The app should wait for the number of seconds specified in the "Retry-After" response header before trying again.

- `error` (object, required) — Error occurred because the app is being rate limited.
  - `reason` (object or object or object, required) — The reason why the app is being rate limited.
    - auth_apiv2.RateLimitReason.too_many_requests
      - `.tag` (enum, required)
        - Allowed values: `too_many_requests`
    - auth_apiv2.RateLimitReason.too_many_write_operations
      - `.tag` (enum, required)
        - Allowed values: `too_many_write_operations`
    - Other
      - `.tag` (string, optional)
  - `retry_after` (uint64, optional, default: 1) — The number of seconds that the app should wait before making another request.
- `error_summary` (string, required) — A human-readable summary of the error.

### 500 Internal Server Error

Internal server error. An error occurred on the Dropbox servers. Check https://status.dropbox.com/ for announcements about Dropbox service issues.

- `any`

## Examples

**Request**

```json
{
  "doc_id": "uaSvRuxvnkFa12PTkBv5q",
  "sharing_policy": {
    "public_sharing_policy": {
      ".tag": "people_with_link_can_edit"
    },
    "team_sharing_policy": {
      ".tag": "people_with_link_can_edit"
    }
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.dropboxapi.com/2/paper/docs/sharing_policy/set"

payload = {
    "doc_id": "uaSvRuxvnkFa12PTkBv5q",
    "sharing_policy": {
        "public_sharing_policy": { ".tag": "people_with_link_can_edit" },
        "team_sharing_policy": { ".tag": "people_with_link_can_edit" }
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dropboxapi.com/2/paper/docs/sharing_policy/set';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"doc_id":"uaSvRuxvnkFa12PTkBv5q","sharing_policy":{"public_sharing_policy":{".tag":"people_with_link_can_edit"},"team_sharing_policy":{".tag":"people_with_link_can_edit"}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dropboxapi.com/2/paper/docs/sharing_policy/set"

	payload := strings.NewReader("{\n  \"doc_id\": \"uaSvRuxvnkFa12PTkBv5q\",\n  \"sharing_policy\": {\n    \"public_sharing_policy\": {\n      \".tag\": \"people_with_link_can_edit\"\n    },\n    \"team_sharing_policy\": {\n      \".tag\": \"people_with_link_can_edit\"\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dropboxapi.com/2/paper/docs/sharing_policy/set")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"doc_id\": \"uaSvRuxvnkFa12PTkBv5q\",\n  \"sharing_policy\": {\n    \"public_sharing_policy\": {\n      \".tag\": \"people_with_link_can_edit\"\n    },\n    \"team_sharing_policy\": {\n      \".tag\": \"people_with_link_can_edit\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dropboxapi.com/2/paper/docs/sharing_policy/set")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"doc_id\": \"uaSvRuxvnkFa12PTkBv5q\",\n  \"sharing_policy\": {\n    \"public_sharing_policy\": {\n      \".tag\": \"people_with_link_can_edit\"\n    },\n    \"team_sharing_policy\": {\n      \".tag\": \"people_with_link_can_edit\"\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dropboxapi.com/2/paper/docs/sharing_policy/set', [
  'body' => '{
  "doc_id": "uaSvRuxvnkFa12PTkBv5q",
  "sharing_policy": {
    "public_sharing_policy": {
      ".tag": "people_with_link_can_edit"
    },
    "team_sharing_policy": {
      ".tag": "people_with_link_can_edit"
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dropboxapi.com/2/paper/docs/sharing_policy/set");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"doc_id\": \"uaSvRuxvnkFa12PTkBv5q\",\n  \"sharing_policy\": {\n    \"public_sharing_policy\": {\n      \".tag\": \"people_with_link_can_edit\"\n    },\n    \"team_sharing_policy\": {\n      \".tag\": \"people_with_link_can_edit\"\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "doc_id": "uaSvRuxvnkFa12PTkBv5q",
  "sharing_policy": [
    "public_sharing_policy": [".tag": "people_with_link_can_edit"],
    "team_sharing_policy": [".tag": "people_with_link_can_edit"]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dropboxapi.com/2/paper/docs/sharing_policy/set")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```